Package org.bukkit.plugin

# Enum Class PluginAwareness.Flags

java.lang.Object
java.lang.Enum<PluginAwareness.Flags>
org.bukkit.plugin.PluginAwareness.Flags

All Implemented Interfaces:
  `Serializable`, `Comparable<PluginAwareness.Flags>`, `Constable`, `PluginAwareness`

Enclosing interface:
  PluginAwareness

public static enum PluginAwareness.Flags extends Enum<PluginAwareness.Flags> implements PluginAwareness
Each entry here represents a particular plugin's awareness. These can be checked by using `PluginDescriptionFile.getAwareness()`.`contains(flag)`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Nested classes/interfaces inherited from interface org.bukkit.plugin.PluginAwareness

`PluginAwareness.Flags`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`UTF8`
Deprecated.
all plugins are now assumed to be UTF-8 aware.

## Method Summary

Modifier and Type
Method
Description
`static PluginAwareness.Flags`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PluginAwareness.Flags[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UTF8

@Deprecated public static final PluginAwareness.Flags UTF8
Deprecated.
all plugins are now assumed to be UTF-8 aware.
This specifies that all (text) resources stored in a plugin's jar use UTF-8 encoding.

## Method Details

### values

public static PluginAwareness.Flags[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PluginAwareness.Flags valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null